Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.installer
Class XSDFileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      com.stc.hl7.installer.XSDFileSet

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.types.ResourceCollection, org.apache.tools.ant.types.selectors.SelectorContainer

    public class XSDFileSet

extends org.apache.tools.ant.types.FileSet

An object of this class represents a set of XSDFiles

Author:
  Raghunadh Teegavarapu

Nested Class Summary
`class` | `XSDFileSet.XSDFile` An inner class represent entities of XSDFileSet

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`XSDFileSet()` Constructs an empty XSDFileSet

Method Summary
`org.apache.tools.ant.types.Parameter` | `createProperty()` Creates the Parameter
`XSDFileSet.XSDFile` | `createXsdfile()` Mainfest the XSDFile instance and adds it to the XSDFile set
`java.lang.String` | `getHL7Version()` Getter for HL7 version
`java.util.Set` | `getProperties()` Returns the Parameters Set
`java.lang.String` | `getTopnames()` Getter for XSDFile topname
`java.util.Set` | `getXsdfiles()` Returns the XSDFile set
`void` | `setHL7Version(java.lang.String version)` Setter for HL7 version
`void` | `setTopnames(java.lang.String topNames)` Setter for XSDFile topname

Methods inherited from class org.apache.tools.ant.types.FileSet
`clone, isFilesystemOnly, iterator, size`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getDirectoryScanner, getRef, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner, setupDirectoryScanner, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSDFileSet

    public XSDFileSet()

  Constructs an empty XSDFileSet

Method Detail

### getTopnames

    public java.lang.String getTopnames()

  Getter for XSDFile topname

  Returns:
    String

### setTopnames

    public void setTopnames(java.lang.String topNames)

  Setter for XSDFile topname

  Parameters:
    `topNames` - XSDFile topname

### getHL7Version

    public java.lang.String getHL7Version()

  Getter for HL7 version

  Returns:
    String

### setHL7Version

    public void setHL7Version(java.lang.String version)

  Setter for HL7 version

  Parameters:
    `version` - HL7 version

### createXsdfile

    public XSDFileSet.XSDFile createXsdfile()

  Mainfest the XSDFile instance and adds it to the XSDFile set

  Returns:
    an instance of XSDFile

### getXsdfiles

    public java.util.Set getXsdfiles()

  Returns the XSDFile set

  Returns:
    java.util.Set

### createProperty

    public org.apache.tools.ant.types.Parameter createProperty()

  Creates the Parameter

  Returns:
    org.apache.tools.ant.types.Parameter

### getProperties

    public java.util.Set getProperties()

  Returns the Parameters Set

  Returns:
    java.util.Set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD